### Hierarchy

- TakerEvent

## Index

### Properties

- dateCreated
- dateUpdated
- id
- order
- orderId
- state
- taker
- takerAmount
- txHash

## Properties

### dateCreated

dateCreated: Date

- Defined in aqueduct.ts:316

Date of creation

### dateUpdated

dateUpdated: Date

- Defined in aqueduct.ts:320

Date of updated

### id

id: number

- Defined in aqueduct.ts:312

Unique Identifier

### order

order: Order

- Defined in aqueduct.ts:308

### orderId

orderId: number

- Defined in aqueduct.ts:291

ID of the associated order

### state

state: number

- Defined in aqueduct.ts:307

State of the event: Pending(0), Complete (1), Failed (2)

### taker

taker: string

- Defined in aqueduct.ts:299

Address of the order taker

### takerAmount

takerAmount: string

- Defined in aqueduct.ts:295

Amount filled on the order

### txHash

txHash: string

- Defined in aqueduct.ts:303

Associated transaction hash of fill event

Generated using TypeDoc